Page MenuHomePhabricator

Rewrite conntrack sync to XML - tracking
Closed, ResolvedPublicFEATURE REQUEST

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

hagbard changed the task status from Open to In progress.Jun 27 2018, 11:12 PM
hagbard triaged this task as Normal priority.
hagbard created this task.
hagbard moved this task from Need Triage to In Progress on the VyOS 1.2 Crux board.

https://github.com/hagbard-01/vyos-1x/blob/current/src/op_mode/conntrack-sync-status.py

Please have a look, I changed some logic compared to the original perl script. I read the real set values, while many are set in the perl script itself. The interface definition and everything else is still pending. My ideas was to have the op stuff implemented first and put in place, since the cfg stuff is separate anyway.
Just copy the script into the vyos home directory and call it from there before it makes its way into the vyos-1x package.
I would really appreciate if anyone with a life config could test it, I just configured 2 VMs and test it.

hagbard closed this task as Resolved.Jul 6 2018, 8:11 PM

I'm gonna close 721 since self-assign does now work. I track via the original T696.

syncer moved this task from In Progress to Finished on the VyOS 1.2 Crux board.Oct 15 2018, 5:26 AM